@echo off
REM -------------------------------------------------------------------------
REM                 DOOM 1.9 DEMO RUNNER -- David Goben
REM                Last update: Friday, January 13. 1995
REM 
REM NOTE: DO NOT save this file in 7-bit ASCII format. The blank REM lines
REM are constructed by typing "REM " and holding ALT, typing 255 on the
REM keypad, and releasing ALT.
REM 
REM NOTE: You must be using DOOM version 1.9, either the shareware version
REM       or the registered version. If you have a lower version, such as
REM       version 1.2, you will have to obtain the patch to upgrade. These
REM       patches are "free", and can be downloaded from most BBS and
REM       FTP sites that support DOOM. 
REM 
REM       Two good FTP sites are: ftp.orst.edu  and  ftp.cdrom.com
REM -------------------------------------------------------------------------
REM DOOM is Copyright 1993 by id software, and all rights to DOOM belong to
REM them and not to me (I just recorded these movies and wrote these batch
REM files --- WHAT.EXE is a public domain utility from Microsoft. You can
REM check out WHAT's other great parameters by simply typing WHAT at the ready
REM line. By the way, the "ECHO" feature is exactly opposite from what you'd
REM think -- using the ECHO (E) feature turns echo OFF, not ON. So it goes!).
REM -------------------------------------------------------------------------
IF NOT EXIST DOOMDEMO.BAT goto wrngdir
IF NOT EXIST DOOM.EXE goto wrngdir
IF NOT EXIST DEFAULT.CFG goto wrngdir
IF NOT EXIST DOOM11.LMP goto missing
IF NOT EXIST DOOM12.LMP goto missing
IF NOT EXIST DOOM13.LMP goto missing
IF NOT EXIST DOOM14.LMP goto missing
IF NOT EXIST DOOM15.LMP goto missing
IF NOT EXIST DOOM16.LMP goto missing
IF NOT EXIST DOOM17.LMP goto missing
IF NOT EXIST DOOM18.LMP goto missing
IF NOT EXIST DOOM19.LMP goto missing
REM
:restart
cls
echo  
echo                                                                     
echo                         DOOM 1.9 DEMO MOVIES                        
echo                                                                     
echo                            by David Goben                           
echo                                                                     
echo       DOOM...Where the safest place to be is behind a trigger.      
echo  
echo This demo will play 9 "Movies" showing you how to access all the secret
echo passages and items in Levels 1-9 of the "Knee-Deep in the Dead" episode
echo of the shareware or registered version using the 'ULTRA-VIOLENCE' mode.
echo 
echo For best viewing you may wish to press the '+/=' key to expand the screen 
echo to maximum. If you have a slow computer you may wish to set the low-
echo resolution mode using the 'F5' key toggle. Also, 'F11' will toggle 
echo brightness on the screen if your views are too dark. (NOTE: Level 9 is 
echo accessed from level 3 from the EXIT beyond the secret bridge.)
echo 
echo Please do not alter any of these files, or remove my name or rights.
echo    David Goben. 417 Prospect ST #1, Willimantic CT 06226-2135 
echo                     davgoben@ix.netcom.com
echo 
:retry
what CE "Select 1-9, A=ALL, P=Parameters, or 'X' to exit: " 123456789APX
echo %WHAT%
if %WHAT%==X goto done
if %WHAT%==P goto parms
if %WHAT%==A goto doall
if %WHAT%==9 goto level9
if %WHAT%==8 goto level8
if %WHAT%==7 goto level7
if %WHAT%==6 goto level6
if %WHAT%==5 goto level5
if %WHAT%==4 goto level4
if %WHAT%==3 goto level3
if %WHAT%==2 goto level2
if %WHAT%==1 goto level1
goto retry
:level1
doom -playdemo doom11
goto restart
:level2
doom -playdemo doom12
goto restart
:level3
doom -playdemo doom13
goto restart
:level14
doom -playdemo doom14
goto restart
:level5
doom -playdemo doom15
goto restart
:level6
doom -playdemo doom16
goto restart
:level7
doom -playdemo doom17
goto restart
:level8
doom -playdemo doom18
goto restart
:level9
doom -playdemo doom19
goto restart
:doall
doom -playdemo doom11
doom -playdemo doom12
doom -playdemo doom13
echo Level 9 (the secret level) is passed through between 3 & 4
doom -playdemo doom19
doom -playdemo doom14
doom -playdemo doom15
doom -playdemo doom16
doom -playdemo doom17
doom -playdemo doom18
goto restart
:parms
cls
echo ============================= Trivia NOTE ===============================
echo When MUSE Software released Silas Warner's CASTLE WOLFENSTEIN back in 1981,
echo and it's cheapy block CGA graphics won it the 1983 CERTIFICATE OF MERIT
echo FOR OUTSTANDING ACHIEVEMENT, who would have thought back then that from the
echo minds of some dedicated and insanely creative folks from an outfit called
echo "id" would later make such a grandiose program seem tacky with the release
echo of WOLFENSTEIN 3D, whose story follows closely to Silas' early rendition?
echo And who would have thought, with the amazing graphics achieved by eye-
echo popping WOLFENSTEIN 3D, that these same folks at id would soon release a
echo phenomenal program so far ahead of WOLFENSTEIN 3D or SPEAR OF DESTINY that
echo comparing WOLFENSTEIN 3D against DOOM would be like comparing that early
echo version of CASTLE WOLFENSTEIN to WOLFENSTEIN 3D?
echo 
echo THANK YOU, id!!! I had the shareware version of DOOM 1.2 on my computer
echo for less than 2 hours before I was calling 1-800-IDGAMES and ordering the
echo commercial version. If any of you folks out there reading this haven't
echo got the commercial version yet, but only the shareware version, then you 
echo ain't seen anything yet!
echo 
what se "ENTER TO CONTINUE"
cls
echo ================== CAUTION! DANGER! LOOK-OUT! ETC. ==================
echo WARNING: The Surgeon General has determined that playing DOOM has caused
echo dramatic psychological and perhaps even physiological addictions in lab
echo rats, students,  and parents who thought they were above playing computer 
echo games. If you are a habitual user and are beginning to suspect addiction, 
echo try to waylay some of its usual anorexial symptoms by ensuring that ad-
echo dequate foodstuffs are consumed at least once a day (at the VERY least 
echo Diet Pepsi and M&M's -- dietary confusion) during short breaks between 
echo rounds. Also remember that an extended sleep deprivation lifestyle can 
echo cause serious DOOM halucinations, and DOOM "flashbacks" can result in 
echo accidental trashing of your office at work as you attempt to dodge or kill 
echo imps, spectres, demons, former humans and their sergeants, who were really 
echo co-workers, cumulating in employment termination (which will in turn
echo give you plenty more time to sink deeper into your addiction).
echo 
what se "ENTER TO CONTINUE"
cls
echo ----------------------------- HOW I DID IT ------------------------------
echo These movies were made using the following procedural template:
echo 
echo        doom -warp x y -skill z -record filename
echo 
echo     "-warp x y" starts you at episode x (1-3), level y (1-9).
echo     "-skill z" starts you at skill level z (1-5).
echo     "-record filename" records your movie to filename. Don't add extension!
echo 
echo Playback is achived by using: DOOM -playdemo filename (w/o extension).
echo -------------------------------------------------------------------------
echo 
what se "ENTER TO CONTINUE"
cls
echo -------------------------------------------------------------------------
echo      Secret passwords which you can use while in a level within DOOM
echo -------------------------------------------------------------------------
echo The following list of passwords can be typed on the keyboard (without
echo echo display) when you are within a play level within DOOM:
echo 
echo PASSWORD         FUNCTION
echo --------         --------
echo IDDQD............Degreelessness mode (God mode). This makes you immune
echo                  to all foe's attacks, radiation, slime, etc.
echo IDKFA............Kick F-ing Ass. Get all ammo, weapons, and 200% armor.
echo                  Note that weapons 6 and 7, the Plasma Rifle and the
echo                  BFG900 are not available to the shareware version.
echo IDSPISPOPD.......Turn off clipping mode. You can now walk through walls
echo                  and anything else. Can get confusing if you go outside
echo                  the DOOM field's bounds, but you can recover by using
echo                  the AUTOMAP -- TAB key -- to get back on track.
echo IDBEHOLDx........This password toggles several resources, which will be
echo                  displayed at the top of the screen. Type S, V, I, R, A
echo                  or L in place of "x".
echo 
what se "ENTER TO CONTINUE"
cls
echo PASSWORD         FUNCTION
echo --------         --------
echo IDCLEVxy.........Immediately transport yourself to episode 'x' (1-3),
echo                  level 'y' (1-9). NOTE: the shareware version only has
echo                  episode 1 -- Knee-Deep In The Dead.
echo IDCHOPPERS.......Gives you the chainsaw as weapon # 1.
echo IDMYPOS..........Gives you your current coordinates in hexidecimal.
echo IDDT.............When you are in the automap screen (TAB key), this
echo                  password toggles between normal, full, and full with
echo                  OBJECTS (this last mode allows you to also see where
echo                  the beasties are trucking around).
echo 
what se "ENTER TO CONTINUE"
cls
echo                  ADDITIONAL 1-PLAYER GAMESTART PARAMETERS
echo 
echo The following parameters can be typed following the DOOM command name:
echo 
echo -respawn.........Tell DOOM to respawn beasties after about 8 seconds. The
echo                  NIGHTMARE skill level already does this, but this is
echo                  handy for those who have a version earlier than 1.2.
echo -nomonsters......Trying to map the area and baddies keep getting in your
echo                  way? Use this.
echo 
what se "ENTER TO CONTINUE"
cls
echo                        USING PARAMETERS
echo 
echo There is more to DOOM than playing the games, as is obvious by these
echo movie files that accompany this batch file. Following are a few, though
echo not all, additional parameters (those not listed I've not figured out
echo yet). You would use them from within the DOOM game directory:
echo 
echo PARAMETER     USAGE
echo ---------     -----
echo dem................Puts you in the developers mode.
echo -warp x y..........Starts you out in episode 'x', level 'y'.
echo -wart x y..........Same as above. Must be an inside joke at id.
echo -episode x.........Start out in episode 'x'.
echo -skill x...........Start out at skill level 1-5.
echo -loadgame x........Load savegame number 1-6.
echo -maxdemo xxx.......If to record your demo, you need more than 128K,
echo                    specify the number of "k" needed, such as -MAXDEMO 1024.
echo -timedemo..........Supposed to make the game go in slow motion. Version
echo                    1.2+ does not do this on my system (486DX/33,256K cache,
echo                    8 Meg RAM, with 32-bit video accelerator).
echo -debugfile parm....Saves debug information to debug[parm].txt file.
echo -file..............Adds a filename to the .WAD file.
echo 
what se "ENTER TO CONTINUE"
cls
echo Example uses: DOOM -WARP 1 9 -SKILL 4 -RECORD MYMOVIE19
echo 
echo This example starts you out at level 9, the secret level, in episode 1.
echo You play using skill level 4 (Ultra-Violence). You record your fate in a
echo file called MYMOVIE19.LMP.
echo - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
echo                   RECORDED MOVIE PLAYBACK
echo 
echo Use the following parameters to play back your movies,
echo remembering NOT to include the ".LMP" extension.
echo 
echo -playdemo playfile, or
echo -playback playfile
echo 
what se "ENTER TO CONTINUE"
cls
echo                     NETWORKING PARAMETERS
echo -config filepath..This parameter allows you to use a configuration file
echo                   from a different directory. This is helpful for termi-
echo                   nals without disk drives. Be sure to specify a drive
echo                   and directory path.
echo -deathmatch.......Starts you in the DEATHMATCH game, which will place
echo                   Each player on your network at a different location.
echo                   If you do not specify this, you start in the cooperative
echo                   mode.
echo -nodes x..........Used with the IPXSETUP program. This will tell DOOM
echo                   how many players will be participating.
echo -port x...........Used with the IPXSETUP program. This tells DOOM which
echo                   network port to use, if more than one group of people
echo                   wish to play DOOM on a single network.
echo 
what se "ENTER TO CONTINUE"
cls
echo -left.............Used to set a player's node to the left view of player.
echo -right............Like above. The above two parameters can be used to
echo                   create a sort of virtual reality play. By placing the
echo                   3 monitors next to each other around you, and entering
echo                   the following command parameters for left, center, and
echo                   right:
echo                          -net 3 -left
echo                          -net 3
echo                          -net 3 -right
echo -drone player.....Creates a drone player out of one of the nodes.
echo - - - - -  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
echo Does anyone know what these parameters do?
echo -dude
echo -nodraw
echo -noblit
echo -recordfrom x (x = 1-5) (it's obvious use seems not to work)
echo -------------------------------------------------------------------------
echo 
what se "ENTER TO CONTINUE"
goto restart
:missing
echo Can't find a demo file (DOOM11.LMP through DOOM19.LMP). All files must
echo be present for this demo to work correctly.
goto done
:wrngdir
echo Can't find required files in current directory. Please ensure that your
echo DOOM or DOOMSW directory is the current active directory, and that the
echo files WHAT.EXE, DOOMDEMO.BAT, and the 9 DOOM1x.LMP files are present in
echo that directory. Thanks.
echo 
:done
